Loading...
Searching...
No Matches
caf::io::network::scribe_impl Class Reference

Default scribe implementation. More...

`#include <scribe_impl.hpp>`

Inheritance diagram for caf::io::network::scribe_impl:

## Public Member Functions

| scribe_impl (default_multiplexer &mx, native_socket sockfd)
void | configure_read (receive_policy::config config) override
| Implicitly starts the read loop on first call.
void | ack_writes (bool enable) override
| Enables or disables write notifications.
std::vector< char > & | wr_buf () override
| Returns the current output buffer.
std::vector< char > & | rd_buf () override
| Returns the current input buffer.
void | graceful_shutdown () override
void | flush () override
| Flushes the output buffer, i.e., sends the content of the buffer via the network.
std::string | addr () const override
uint16_t | port () const override
| Get the port of the underlying I/O device.
void | launch ()
void | add_to_loop () override
void | remove_from_loop () override
Public Member Functions inherited from caf::io::scribe
| scribe (connection_handle conn_hdl)
bool | consume (execution_unit *, const void *, size_t) override
| Called by the underlying I/O device whenever it received data.
void | data_transferred (execution_unit *, size_t, size_t) override
| Called by the underlying I/O device whenever it sent data.
Public Member Functions inherited from caf::io::broker_servant< network::stream_manager, connection_handle, new_data_msg >
| broker_servant (handle_type x)
handle_type | hdl () const
void | halt ()
void | trigger ()
void | trigger (size_t num)
optional< size_t > | activity_tokens () const
Public Member Functions inherited from caf::io::network::manager
void | set_parent (abstract_broker *ptr)
| Sets the parent for this manager.
abstract_broker * | parent ()
| Returns the parent broker of this manager.
bool | detached () const
| Returns true if this manager has a parent, false otherwise.
Public Member Functions inherited from caf::ref_counted
| ref_counted (const ref_counted &)
ref_counted & | operator= (const ref_counted &)
void | ref () const noexcept
| Increases reference count by one.
void | deref () const noexcept
| Decreases reference count by one and calls request_deletion when it drops to zero.
bool | unique () const noexcept
| Queries whether there is exactly one reference.
size_t | get_reference_count () const noexcept

## Protected Attributes

bool | launched_
stream_impl< policy::tcp > | stream_
Protected Attributes inherited from caf::io::broker_servant< network::stream_manager, connection_handle, new_data_msg >
handle_type | hdl_
mailbox_element_vals< new_data_msg > | value_
optional< size_t > | activity_tokens_
Protected Attributes inherited from caf::ref_counted
std::atomic< size_t > | rc_

## Additional Inherited Members

Public Types inherited from caf::io::broker_servant< network::stream_manager, connection_handle, new_data_msg >
using | handle_type
Protected Member Functions inherited from caf::io::scribe
message | detach_message () override
Protected Member Functions inherited from caf::io::broker_servant< network::stream_manager, connection_handle, new_data_msg >
void | detach_from (abstract_broker *ptr) override
void | invoke_mailbox_element_impl (execution_unit *ctx, mailbox_element &x)
bool | invoke_mailbox_element (execution_unit *ctx)
new_data_msg & | msg ()
Related Symbols inherited from caf::ref_counted
void | intrusive_ptr_add_ref (const ref_counted *p)
void | intrusive_ptr_release (const ref_counted *p)

## Detailed Description

Default scribe implementation.

## Member Function Documentation

## ack_writes()

void caf::io::network::scribe_impl::ack_writes | ( | bool | enable | ) |

override virtual

Enables or disables write notifications.

Implements caf::io::scribe.

## configure_read()

void caf::io::network::scribe_impl::configure_read | ( | receive_policy::config | config | ) |

override virtual

Implicitly starts the read loop on first call.

Implements caf::io::scribe.

## flush()

void caf::io::network::scribe_impl::flush | ( |  | ) |

override virtual

Flushes the output buffer, i.e., sends the content of the buffer via the network.

Implements caf::io::scribe.

## port()

uint16_t caf::io::network::scribe_impl::port | ( |  | ) | const

override virtual

Get the port of the underlying I/O device.

Implements caf::io::network::stream_manager.

## rd_buf()

std::vector< char > & caf::io::network::scribe_impl::rd_buf | ( |  | ) |

override virtual

Returns the current input buffer.

Implements caf::io::scribe.

## wr_buf()

std::vector< char > & caf::io::network::scribe_impl::wr_buf | ( |  | ) |

override virtual

Returns the current output buffer.

Implements caf::io::scribe.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/scribe_impl.hpp